Skip to main content
PATCH
/
api
/
v1
/
admin
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
report-reasons
/
{reason_id}
Update Report Reason
curl --request PATCH \
  --url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/report-reasons/{reason_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "is_active": true,
      "label": "<string>",
      "position": 123
    },
    "id": "<string>",
    "type": "report_reasons"
  }
}
'
{
  "data": {
    "attributes": {
      "hub_id": "<string>",
      "label": "<string>",
      "is_active": true,
      "position": 0
    },
    "id": "<string>",
    "type": "report_reasons"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
reason_id
string
required

Body

application/vnd.api+json
data
ReportReasonUpdateData · object
required

Response

Successful Response

data
ReportReasonResource · object
required